用語検索

Prev Next
Post
/api/public/v1/cometa/glossary_terms/search

用語を検索します。
公開状態のグループに属する公開状態の用語のみを返します。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。

Body parameters
object
q
string Required

検索クエリ文字列を指定します。

ExampleGross Merchandise Value
glossary_group_id
integer (int64)

検索対象を絞り込む用語集IDを指定します。

Example7
page
integer

取得するページ番号を指定します。1始まり。

Default1
Example1
page_size
integer

1ページあたりの最大件数を指定します。

Minimum20
Maximum100
Default20
Example20
Responses
200

検索結果を返します。

Expand All
object
items
Array of object (cometa_glossary_term)
object
id
integer (int64)

用語のIDです。

Example12345
name
string

用語名です。

ExampleGross Merchandise Value
description
string | null

用語の説明です。

Example一定期間に販売された商品の総額。
glossary_group_id
integer (int64)

所属する用語集のIDです。

Example7
updated_at
string

最終更新日時 (ISO8601 / UTC) です。

Example2026-04-10T12:34:56Z
pagination
object
current_page
integer

現在のページ番号です。1始まり。

Example1
page_size
integer

1ページあたりの最大件数です。

Example20
total_count
integer

検索条件にマッチした全件数です。

Example42
400

/api系の共通エラーレスポンス

object
message
string
Example不正なリクエストです。
401

認証エラー

object
message
string
Exampleアカウント登録もしくはログインしてください。
403

認可エラー

object
message
string
Example操作を実行する権限がありません。